/// Server-side main function
#[cfg(feature = "ssr")]
#[tokio::main]
async fn main() {
    ascend::server::main().await
}

/// Client-side main function
#[cfg(not(feature = "ssr"))]
pub fn main() {
    // no client-side main function
    // unless we want this to work with e.g., Trunk for a purely client-side app
    // see lib.rs for hydration function instead
    eprintln!("Main function is empty. Run with the \"ssr\" feature.");
}
